#include "MenuTextPagePrev_Player1Joystick.h"

InputSetting_Joystick* MenuTextPagePrev_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextPagePrev_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_pagePrev;
}

std::weak_ptr<Entity> MenuTextPagePrev_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}


std::shared_ptr<Entity> CreateMenuTextPagePrev_Player1Joystick()
{
	return std::make_shared<MenuTextPagePrev_Player1Joystick>();
}

